-- 委外用料计划处理增加字段
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 't_om_stockplanentry' AND KSQL_COL_NAME ='fconsiderminbatch')
ALTER TABLE t_om_stockplanentry ADD (fconsiderminbatch CHAR(1) DEFAULT '0' NOT NULL );

-- 简单委外组件清单
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 't_om_componententry' AND KSQL_COL_NAME ='fconsiderminbatch')
ALTER TABLE t_om_componententry ADD (fconsiderminbatch CHAR(1) DEFAULT '0' NOT NULL );
-- 简单委外组件清单变更单
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 't_om_xxcomponententry' AND KSQL_COL_NAME ='fconsiderminbatch')
ALTER TABLE t_om_xxcomponententry ADD (fconsiderminbatch CHAR(1) DEFAULT '0' NOT NULL );

-- 委外组件清单
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 't_om_mftstockentry' AND KSQL_COL_NAME ='fconsiderminbatch')
ALTER TABLE t_om_mftstockentry ADD (fconsiderminbatch CHAR(1) DEFAULT '0' NOT NULL );
-- 委外组件清单变更单
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 't_om_xmftstockentry' AND KSQL_COL_NAME ='fconsiderminbatch')
ALTER TABLE t_om_xmftstockentry ADD (fconsiderminbatch CHAR(1) DEFAULT '0' NOT NULL );

-- 委外组件明细变更日志
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 't_om_stockchglogdetail' AND KSQL_COL_NAME ='fconsiderminbatch')
ALTER TABLE t_om_stockchglogdetail ADD (fconsiderminbatch NVARCHAR(200) DEFAULT ' ' NOT NULL );